Subject: bug#54691: fortune-mod propagates various non-nice things

From: Maxime Devos <[email-masked]>
Date: Sun, 03 Apr 2022 20:12:03 +0200

Liliana Marie Prikler schreef op zo 03-04-2022 om 19:26 [+0200]:
> I don't think practical purpose is a bar we can set.  What should we do
> with all of the Rust ecosystem otherwise?

Replace cargo with something else, then it can become more practical.
See, e.g., the ‘Compiling rust things without cargo (super WIP POC)’
thread on [email-masked].  Once it is complete, rust would have a
build system that works well within Guix, so then we could benefit from
Rust's safety features (and macros, generic types, etc.) without the
downsides of cargo-build-system.  Doesn't change the Rust bootstrap
length though ...

Greetings,
Maaxime.